plugins {
    `kotlin-dsl`
    `kotlin-dsl-precompiled-script-plugins`
}

dependencies {
    implementation(libs.build.androidLibrary)
    implementation(libs.build.spotless)
    implementation(libs.build.composeCompiler)
    implementation(libs.build.jetbrainsCmp)
    implementation(libs.build.gitSemVer)
}


// Excerpt from Project kt-fuzzy licensed under the MIT license
// By github.com/solo-studios, author solonovamax. See NOTICE file.
// Source: https://github.com/solo-studios/kt-fuzzy/blob/b3ae4f9f0e15ee38feb81b0edd88cdad68124b21/buildSrc/build.gradle.kts

fun gradlePlugin(id: Provider<PluginDependency>, version: Provider<String>): String {
    val pluginId = id.get().pluginId
    return "$pluginId:$pluginId.gradle.plugin:${version.get()}"
}


kotlin {
    target {
        compilations.configureEach {
            kotlinOptions {
                jvmToolchain(libs.versions.java.get().toInt())
            }
        }
    }
}