# Temerity

Kotlin Multiplatform Library for interacting with the YuJa Enterprise Video Platform

### Add the library:

`implementation("edu.ucsc.its:temerity:0.1.0")`

### Build a platformClient, then start making requests:

```
    import edu.ucsc.its.temerity.PlatformClient
    import kotlinx.coroutines.runBlocking

    val client = platformClient {
                serviceEndpoint("https://your_organization.yuja.com/services/")
                serviceToken("your_API_token") }
    runBlocking { client.getUsers().forEach { println(it) } }

    val returnedDevices = runBlocking { client.getDevices() }
    println("Returned devices:")
    returnedDevices.forEach { println(it) }

    stopTemerity()
```

### Result:

```
User(loginId=...., emailAddress=...., userType=Student, userId=12345678, timezone=America/Los_Angeles, customId=, lastName=...,
User(...)
User(...)

Returned devices:
Device(stationName=DELL-DATAPATH-9020, accessLevel=Administrators, deviceId=...
Device(stationName=DELL-DATAPATH-7040, accessLevel=Administrators, deviceId=...
Device(...
Device(...
```